Bug 172253 - I18N : message bundle for new strings at 6.8
I18N : message bundle for new strings at 6.8
Status: RESOLVED FIXED
Product: connecteddeveloper
Classification: Unclassified
Component: Chat
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Jan Becicka
issues@connecteddeveloper
: I18N
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-09-15 08:08 UTC by Masaki Katakai
Modified: 2009-09-24 12:38 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Masaki Katakai 2009-09-15 08:08:21 UTC
It seems that some strings are hardcoded. I'm not sure if these
are the final ones but it's nice if these strings are extracted
into bundle.properties so that these will be localized in the early stages.

./src/org/netbeans/modules/kenai/collab/chat/FilterItem.java:
                return "All";

./src/org/netbeans/modules/kenai/collab/chat/PresenceIndicator.java:
                    final JMenuItem logoutItem = new JMenuItem("Logout from Kenai");

./src/org/netbeans/modules/kenai/collab/chat/PresenceIndicator.java:
                    final JCheckBoxMenuItem onlineCheckBox = new JCheckBoxMenuItem("Online On Chat",s==Kenai.Status.ONLINE);
Comment 1 Tomas Pavek 2009-09-22 15:54:23 UTC
I've found even more, tried to eliminate all hardcoded strings in kenai.ui module that should be internationalized.
http://hg.netbeans.org/cdev/rev/384edeff7646
Comment 2 Quality Engineering 2009-09-24 12:38:08 UTC
Integrated into 'main-golden', will be available in build *200909230201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/384edeff7646
User: Tomas Pavek <tpavek@netbeans.org>
Log: #172253: trying to internationalize all remaining hardcoded string


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo